{ pkgs, ... }:
pkgs.mkShell {
  buildInputs = (with pkgs; [
    #LANG & COMPILER
    gcc
    
    gnumake
    cmake
    go
    gotools
    jdk
    gradle
    maven
    kotlin
    nodejs
    yarn-berry
    crystal
    shards
   
    scala
    sbt
    cargo

    #LIBS
    openssl
    pcre
    pcre2
    ncurses
    patchelf
    zlib

    #DBG & TOOLS
    gdbgui
    valgrind
    sox
    docker-compose

    #CUSTOM (custom...)
  ]) ++ (with pkgs.llvmPackages; [ 
    libcxxClang 
  ]) ++ (with pkgs.python313Packages; [
    pip pandas numpy matplotlib typer pillow reportlab python-barcode pypdf markdown requests 
  ])
  ;
  shellHook = ''
    export SHELLENVTYPE="DEV"
    export HTTP_PORT=8080
    export HTTP_ADDR="0.0.0.0"
  '';
}
